Subject: Reverse DNS problems with HDR/802.11 coverage

From: Phil Karn <[email-masked]>
Date: Mon, 11 Dec 2000 09:04:47 -0800

The Qualcomm IP address block (199.106.118.0) that we're using to
support 802.11 coverage at the Hilton and Embassy Suites is missing
the DNS glue records needed to support inverse (PTR) queries.

This can cause some connections from users in that block to open but
hang for long periods of time before a login prompt or server banner
is received. This happens when the remote server does an inverse DNS
query on the incoming IP address for logging purposes and requires
that this query complete (or time out) before spawning the server
application program.

AT&T Cerfnet is working on the problem, and we hope it will be fixed soon.

My apologies for not catching this sooner, as I had modified all my
own servers long ago to not do this brain-damaged inverse lookup.

Phil Karn

---

From: [email-masked]
Date: Mon, 11 Dec 2000 12:32:46 -0500

> own servers long ago to not do this brain-damaged inverse lookup.

On the other hand, checking the PTR and A records for an inbound connection
for sanity often reveals a DNS hack attempt.  Or that's the theory anyhow.

Personally, I treat a PTR check as a clue-meter for the ISP involved - if
they have a broken DNS, they're probably lame enough to also be infested with
hackers, spammers, and other low-lifes....

Let the flaming commence ;)
-- 
				Valdis Kletnieks
				Operating Systems Analyst
				Virginia Tech